All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2
Class BaseRemoteFileSelector

    com.sas.servlet.tbeans.remotefileselector2.BaseRemoteFileSelector

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, java.util.EventListener

Direct Known Subclasses:
  RemoteFileSelector

    public abstract class BaseRemoteFileSelector

implements com.sas.collection.ContentsChangedListener

The BaseRemoteFileSelector is an abstract TransformationBean™ that provides the methods for setting and returning the components and the model used to create the RemoteFileSelector component. The `RemoteFileSelector` extends this class and writes out the components with values that reflect the state of the model. In the case where a component is not provided, a default transformation bean is created.

This class was created to provide basic elements for the RemoteFileSelector component. The following basic elements are important to the selector:

- model - model used to communicate with the service model that provides the remote file information based on the current path
- DetailsViewComponent - component used to display a folders content in tabular form when in `REGULAR` mode
- SearchResultsComponent - component used to display results from a search in tabular form when in `SEARCH` mode
- ToolBar component - component used to provide actions for navigating through the repository
- Search component - component used to execute a search using the criteria specified in this components fields

The DetailsViewComponent and the SearchResultsComponent are displayed in the file view area of the RemoteFileSelector.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

Also, extend the base classes of the sub-components, `BaseRemoteFileSearch` and `BaseRemoteFileToolBar`, when adding support for other markup languages not explicitly provided with AppDev Studio.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Constructor Summary
`BaseRemoteFileSelector()` The Default constructor.

Method Summary
`void` | `contentsChanged(com.sas.collection.ContentsChangedEvent event)` Sets the mode for the selector based on the executed command.
`int` | `getMode()` Returns the mode for the selector.
`RemoteFileNavigationModelInterface` | `getModel()` Returns the model used for managing the file data
`boolean` | `isDetailViewVisibilityControlOn()` Returns wether the detail visibility control is on.
`void` | `setActionProvider(HttpActionProvider provider)` Sets the HttpActionProvider object
`void` | `setDetailViewVisibilityControlOn(boolean control)` Control the visibility of the detail view.
`void` | `setMode(int mode)` Sets the mode for the selector.
`void` | `setModel(RemoteFileNavigationModelInterface model)` Sets the model used for managing the file information.

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Constructor Detail

### BaseRemoteFileSelector

    public BaseRemoteFileSelector()

  The Default constructor. Sets the action support type to `ActionProviderSuppportTypes.REMOTE_FILE_SELECTOR2_COMPOSITE_SUPPORT` This allows users to get the action provider information necessary for setting and changing actions. The `RemoteFileSelector` does not query for actions but the `RemoteFileSearch`, the `RemoteFileToolBar`, and the `DetailViews` do query for actions.

  See Also:
    `ActionProviderSupportTypes`

Method Detail

### setModel

    public void setModel(RemoteFileNavigationModelInterface model)

  Sets the model used for managing the file information. A RemoteFileServerModelInterface model is required for this component. The `RemoteFileServerModel` is an example of a model that can be used for this value.

  Parameters:
    `model` - RemoteFileServerModelInterface
  See Also:
    `getModel()`

### getModel

    public RemoteFileNavigationModelInterface getModel()

  Returns the model used for managing the file data

  Returns:
    RemoteFileServerModelInterface selector's model
  See Also:
    `setModel(com.sas.swing.models.remotefileselector2.RemoteFileNavigationModelInterface)`

### getMode

    public int getMode()

  Returns the mode for the selector. `REGULAR_MODE` is returned as the default mode.

  Returns:
    `REGULAR_MODE` returned by default for the mode, if searching `SEARCH_MODE` is returned as the mode
  See Also:
    `setMode(int)`

### setMode

    public void setMode(int mode)

  Sets the mode for the selector. There are two valid modes. The mode is `SEARCH_MODE` during a search. Otherwise the mode is `REGULAR_MODE`.

  Parameters:
    `mode` - `SEARCH_MODE` mode will display the search results, while `REGULAR_MODE` mode will display the current paths files
  See Also:
    `getMode()`

### setDetailViewVisibilityControlOn

    public void setDetailViewVisibilityControlOn(boolean control)

  Control the visibility of the detail view. By default only one detail view is displayed at a time. Therefore the regular detail and the search detail are not displayed at the same time. If the search detail view and the regular detail view should be visible at the same time then this attribute should be set to false. The visibility is turned off for the view that is not displayed so that the write is more efficient by only performing the necessary steps for the visible view. The applications developer can control the visibility of the view by setting this method to `false`.

  Parameters:
    `control` - `true` is the default setting since it is more efficient and only one detail view is visible with each render by default
  See Also:
    `isDetailViewVisibilityControlOn()`

### isDetailViewVisibilityControlOn

    public boolean isDetailViewVisibilityControlOn()

  Returns wether the detail visibility control is on. By default this control is turned on. This means that the RemoteFileSelector component will control the visibility of the detail view and the search detail view by default.

  Returns:
    `true` returned by default
  See Also:
    `setDetailViewVisibilityControlOn(boolean)`

### setActionProvider

    public void setActionProvider(HttpActionProvider provider)

  Sets the HttpActionProvider object

  Specified by:
    `setActionProvider` in interface `HttpActionProviderInterface`
  Overrides:
    `setActionProvider` in class `BaseActionCompositeTransformation`
  Parameters:
    `HttpActionProvider` - object
  See Also:
    `HttpActionProviderInterface.getActionProvider()`

### contentsChanged

    public void contentsChanged(com.sas.collection.ContentsChangedEvent event)

  Sets the mode for the selector based on the executed command. If the event is `NAVIGATE` then the mode of the selector is set to `REGULAR_MODE`. If the event is `SEARCH` then the mode of the selector is set to `SEARCH_MODE`.

  Specified by:
    `contentsChanged` in interface `com.sas.collection.ContentsChangedListener`
  Parameters:
    `event` - indicates what type of action or command was executed, if navigating then the mode is `REGULAR_MODE`, or if searching the mode is `SEARCH_MODE`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.